# aut_to_exp.hh File Reference

This file provides converter from automaton to expression. More...

Include dependency graph for aut_to_exp.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | DefaultChooser
| Default chooser for aut_to_exp(). More...
struct | RandomChooser
| Choose randomly a state between all currently choosable. More...
struct | DMChooser
| Choose a state accordingly to an heuristic. More...
class | ListChooser
| Chooser for aut_to_exp(). More...

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI >
Element< A, AI >::series_set_elt_t | aut_to_exp (const Element< A, AI > &a)
| Returns a series which describes the language of the automaton.
template<typename A , typename AI , typename Chooser >
Element< A, AI >::series_set_elt_t | aut_to_exp (const Element< A, AI > &a, const Chooser &c)
| Returns a series which describes the language of the automaton.

## Detailed Description

This file provides converter from automaton to expression.

Author:
  Yann Régis-Gianas <yann@lrde.epita.fr>

Date:
  Tue Jun 24 19:21:17 2003

See also:
  aut_to_exp()

Definition in file aut_to_exp.hh.